`timescale 1ns / 1ps

module calculate(
    output reg [3:0] q0,
    output reg [3:0] q1,
    output reg [3:0] q2,
    output reg [3:0] q3,
    input [3:0] num1,
    input [3:0] num2,
    input [3:0] s,
    input [3:0] num3,
    input [3:0] num4,
    input show,
    input do
    );
    reg [7:0] one, two;
    reg [13:0] sum;
    always@*
        if(show)
            begin
            one = num1 * 4'd10 + num2;
            two = num3 * 4'd10 + num4;
            case(s)
                4'd10: sum = one + two;
                4'd11: 
                    if(one > two) sum = one - two;
                    else sum = two - one;
                4'd12: sum = one * two;
                default: sum = 0;
            endcase
            q3 = sum % 4'd10;
            q2 = (sum / 4'd10) % 4'd10;
            q1 = (sum / 8'd100) % 4'd10;
            if(one < two && s == 4'd11) q0 = s;
            else q0 = sum / 10'd1000;
            end
        else
            if(do)
                begin
                q0 = num1;
                q1 = num2;
                q2 = s;
                q3 = num4;
                end
            else  
                begin
                q0 = num1;
                q1 = num2;
                q2 = num3;
                q3 = num4;
                end 
endmodule
