`timescale 1ns / 1ps

module freqdiv_ctl2(
    output reg [1:0] ctl,
    input clk,
    input rst_n
    );
    reg [25:0] q, q_tmp;
    
always@*    
    begin
    ctl = {q[17], q[16]};
    if(q == 26'd50000000 - 1'b1)       
        q_tmp = 26'd0;
    else
        q_tmp = q + 1'b1;
    end
    
always@(posedge clk or negedge rst_n)
    if(~rst_n) q <= 26'd0;
    else q <= q_tmp;

endmodule
